#ifndef _74595_sevenSegment
#define _74595_sevenSegment

#include "Arduino.h"


class sevenSegment
{
public:
sevenSegment(byte data, byte latch, byte clock, byte digits);

void sevenSegmentClr();
void sevenSegmentDraw();
void sevenSegmentSegment(signed char x, signed char y, byte condition);
void sevenSegmentValue(unsigned char ch, signed char x, signed char y);
void sevenSegmentText(const char* ch, signed char x, signed char y);

private:
byte _y1;
unsigned char _disp;
unsigned char _disp2;
byte _data;
byte _latch;
byte _clock;
byte _digits;

void setdata(unsigned char Data);
void setcolumns(unsigned char column);
unsigned char _displayPointer = 0;
byte _screenBuffer[4];
unsigned char _power[8] = {1, 2, 4, 8, 16, 32, 64, 128};
signed char _Position;
byte _address;
unsigned char _pix, _mask;
};
#endif


